------------------------------------------------------------------------
r168 | airwin | 2011-09-21 11:40:55 -0700 (Wed, 21 Sep 2011) | 5 lines
Changed paths:
   M /trunk/README.Release_Manager_Cookbook

Incorporate much of the generic instructions for the latest ephcom2
release.  There is still more editing to do on this file, but I
pland to do that as the release happens, and then commit that
result post-release.

------------------------------------------------------------------------
r167 | airwin | 2011-09-21 08:50:40 -0700 (Wed, 21 Sep 2011) | 3 lines
Changed paths:
   A /trunk/CONCATENATED_README.release (from /trunk/OLD-README.release:164)
   D /trunk/OLD-README.release

Rename concatenation of previous release notes to something more
descriptive. 

------------------------------------------------------------------------
r166 | airwin | 2011-09-20 21:46:40 -0700 (Tue, 20 Sep 2011) | 3 lines
Changed paths:
   M /trunk/CMakeLists.txt

Exclude emacs recovery files with names like #...# from source
distribution.

------------------------------------------------------------------------
r165 | airwin | 2011-09-20 21:39:33 -0700 (Tue, 20 Sep 2011) | 2 lines
Changed paths:
   M /trunk/README

Tweaks for 1.1.1.

------------------------------------------------------------------------
r164 | airwin | 2011-09-19 12:26:48 -0700 (Mon, 19 Sep 2011) | 4 lines
Changed paths:
   M /trunk/CMakeLists.txt

For Windows put dll in the same location (dll subdirectory of the top-level
directory of the build tree) to make that dll location consistent with other
packages I am aware of such as PLplot and ephcom2.

------------------------------------------------------------------------
r163 | andrewross | 2011-09-14 13:11:15 -0700 (Wed, 14 Sep 2011) | 3 lines
Changed paths:
   M /trunk/CMakeLists.txt

Ignore debian/ directory when generating release tarball.


------------------------------------------------------------------------
r162 | andrewross | 2011-09-14 13:01:25 -0700 (Wed, 14 Sep 2011) | 3 lines
Changed paths:
   D /trunk/debian/format
   A /trunk/debian/source
   A /trunk/debian/source/format

Whoops - wrong file name for format file.


------------------------------------------------------------------------
r161 | andrewross | 2011-09-14 12:52:11 -0700 (Wed, 14 Sep 2011) | 3 lines
Changed paths:
   M /trunk/debian/changelog
   M /trunk/debian/compat
   M /trunk/debian/control
   A /trunk/debian/format
   A /trunk/debian/format/source
   M /trunk/debian/liblasi-dev.install

Update Debian packaging for LASi. 


------------------------------------------------------------------------
r160 | airwin | 2010-05-29 10:06:59 -0700 (Sat, 29 May 2010) | 7 lines
Changed paths:
   M /trunk/README.release
   M /trunk/include/LASi.h

Generalize implementation of the library symbol visibility infrastructure
following the tested implementation of that infrastructure for PLplot. This
generalization should not affect Windows platforms, but now the gcc
-fvisibility=hidden option is supported on Unix which should significantly
reduce library load times for that case.


------------------------------------------------------------------------
r159 | airwin | 2010-05-06 16:34:08 -0700 (Thu, 06 May 2010) | 5 lines
Changed paths:
   M /trunk/README.release

Remark on the diacritical mark alignment fix as well as the
backwards-incompatible API change that is necessary because of that
fix.


------------------------------------------------------------------------
r158 | airwin | 2010-05-06 16:32:40 -0700 (Thu, 06 May 2010) | 4 lines
Changed paths:
   M /trunk/cmake/modules/lasi_version.cmake

Bump soversion from 0 to 1 to be consistent with the backwards-incompatible
API change needed by the recent diacritical mark alignment fix.


------------------------------------------------------------------------
r157 | edtrager | 2010-05-04 14:14:36 -0700 (Tue, 04 May 2010) | 6 lines
Changed paths:
   M /trunk/include/LASi.h
   M /trunk/src/psDoc.cpp

This commits Yotam Medini's patch to correct Hebrew diacritical
alignment in LASi.  In addition to testing Hebrew with diacritics
using the passage from Genesis that Yotam supplied, I have now also
tested Arabic using the phrase "ahlan wa sahlan" with diacritics.


------------------------------------------------------------------------
r156 | airwin | 2010-05-03 13:35:10 -0700 (Mon, 03 May 2010) | 6 lines
Changed paths:
   M /trunk/cmake/modules/lasi.cmake
   M /trunk/examples/CMakeLists.txt
   M /trunk/src/CMakeLists.txt

Update to use improved pkg-config CMake support and to designate external
libraries using full pathnames (which is more reliable than using the
deprecated "-L/directory_name -llibrary_name" method of designating
libraries).


------------------------------------------------------------------------
r155 | airwin | 2010-05-03 13:28:04 -0700 (Mon, 03 May 2010) | 2 lines
Changed paths:
   M /trunk/README.release

Update in preparation for forthcoming release.

------------------------------------------------------------------------
r154 | airwin | 2010-05-03 13:27:05 -0700 (Mon, 03 May 2010) | 2 lines
Changed paths:
   M /trunk/lasi.pc.in

Better order for modules mentioned by the Requires line.

------------------------------------------------------------------------
r153 | airwin | 2010-05-03 13:25:38 -0700 (Mon, 03 May 2010) | 2 lines
Changed paths:
   M /trunk/cmake/modules/lasi_version.cmake

Bump versions in preparation for forthcoming release.

------------------------------------------------------------------------
r152 | airwin | 2010-05-03 13:24:25 -0700 (Mon, 03 May 2010) | 4 lines
Changed paths:
   M /trunk/README.Release_Manager_Cookbook

Improved designation of version numbers.

Preserve README.release from previous release.

------------------------------------------------------------------------
r151 | airwin | 2010-05-03 13:21:09 -0700 (Mon, 03 May 2010) | 2 lines
Changed paths:
   A /trunk/OLD-README.release

Preserve README.release from previous release into OLD-README.release.

------------------------------------------------------------------------
r150 | airwin | 2010-05-03 13:20:12 -0700 (Mon, 03 May 2010) | 2 lines
Changed paths:
   M /trunk/CMakeLists.txt

Minimum CMake version bumped from 2.4.5 (!) to 2.6.4.

------------------------------------------------------------------------
r149 | airwin | 2010-05-03 13:19:11 -0700 (Mon, 03 May 2010) | 3 lines
Changed paths:
   M /trunk/cmake/modules/pkg-config.cmake

Add useful macros from PLplot to transform pkg-config results into a form
that is more usable by modern CMake.

------------------------------------------------------------------------
r148 | airwin | 2010-04-26 14:36:56 -0700 (Mon, 26 Apr 2010) | 8 lines
Changed paths:
   M /trunk/include/LASi.h
   M /trunk/src/psDoc.cpp

Consistently drop (in both declaration and definition) the const attribute
of the last four arguments of setFont.  This method of dealing with this
consistency issue has the advantage of no change in API from version 1.1.0
of libLASi (LASi.h reverts back to its form for that release), and const
doesn't limit scope here in any case because the arguments are values rather
than pointers.


------------------------------------------------------------------------
r147 | airwin | 2010-04-25 15:59:41 -0700 (Sun, 25 Apr 2010) | 3 lines
Changed paths:
   M /trunk/include/LASi.h

The last four arguments of the setFont declaration should have the const 
attribute to be consistent with the setFont definition.

------------------------------------------------------------------------
r144 | rlaboiss | 2008-04-20 13:48:39 -0700 (Sun, 20 Apr 2008) | 1 line
Changed paths:
   M /trunk/debian/changelog

Debian release 1.1.0-1
------------------------------------------------------------------------
r143 | rlaboiss | 2008-04-19 14:26:17 -0700 (Sat, 19 Apr 2008) | 1 line
Changed paths:
   M /trunk/debian/changelog
   M /trunk/debian/copyright

Add the mandatory copyright notices (fix Lintian warning)
------------------------------------------------------------------------
r142 | rlaboiss | 2008-04-19 14:18:46 -0700 (Sat, 19 Apr 2008) | 2 lines
Changed paths:
   M /trunk/debian/changelog

Tag distribution to "UNRELEASED" until the package is actually
released
------------------------------------------------------------------------
r141 | rlaboiss | 2008-04-19 14:16:49 -0700 (Sat, 19 Apr 2008) | 1 line
Changed paths:
   M /trunk/debian/copyright

Fix path of LGPL-2 file
------------------------------------------------------------------------
r140 | rlaboiss | 2008-04-19 14:12:50 -0700 (Sat, 19 Apr 2008) | 1 line
Changed paths:
   M /trunk/debian

Add list of exclusions
------------------------------------------------------------------------
r139 | rlaboiss | 2008-04-19 14:11:35 -0700 (Sat, 19 Apr 2008) | 1 line
Changed paths:
   M /trunk/debian/changelog
   M /trunk/debian/liblasi-dev.doc-base

Changed document's section to Programming/C++ (fix Lintian warning)
------------------------------------------------------------------------
r106 | andrewross | 2008-04-15 02:14:05 -0700 (Tue, 15 Apr 2008) | 3 lines
Changed paths:
   M /trunk/debian/changelog

Fix email address.


------------------------------------------------------------------------
r105 | andrewross | 2008-02-13 02:52:06 -0800 (Wed, 13 Feb 2008) | 3 lines
Changed paths:
   M /trunk/debian/rules

Need to disable use of rpath in the install tree when building Debian packages.


------------------------------------------------------------------------
r104 | andrewross | 2008-02-13 01:46:12 -0800 (Wed, 13 Feb 2008) | 4 lines
Changed paths:
   M /trunk/debian/rules

Force rpath to be used for build-tree executables. This is required to ensure that ctest works 
in the build tree.


------------------------------------------------------------------------
r103 | andrewross | 2008-02-11 06:56:33 -0800 (Mon, 11 Feb 2008) | 4 lines
Changed paths:
   M /trunk/debian/rules

Disable running ctest for now. cdbs disables rpath support so library is not found by the 
examples. 
 

------------------------------------------------------------------------
r102 | andrewross | 2008-02-11 06:55:25 -0800 (Mon, 11 Feb 2008) | 3 lines
Changed paths:
   M /trunk/debian/changelog
   M /trunk/debian/control

Tweaks to debian files


------------------------------------------------------------------------
r101 | andrewross | 2008-02-11 06:49:50 -0800 (Mon, 11 Feb 2008) | 3 lines
Changed paths:
   A /trunk/debian
   A /trunk/debian/changelog
   A /trunk/debian/compat
   A /trunk/debian/control
   A /trunk/debian/copyright
   A /trunk/debian/liblasi-dev.doc-base
   A /trunk/debian/liblasi-dev.docs
   A /trunk/debian/liblasi-dev.examples
   A /trunk/debian/liblasi-dev.install
   A /trunk/debian/liblasi0.install
   A /trunk/debian/rules
   A /trunk/debian/watch

Initial commit of files for building debian packages for lasi.


------------------------------------------------------------------------
r100 | airwin | 2008-02-08 19:30:07 -0800 (Fri, 08 Feb 2008) | 2 lines
Changed paths:
   M /trunk/README.Release_Manager_Cookbook

More tweaks to the instructions.

------------------------------------------------------------------------
r99 | airwin | 2008-02-08 18:14:27 -0800 (Fri, 08 Feb 2008) | 3 lines
Changed paths:
   M /trunk/README.Release_Manager_Cookbook

Tweak directions based on practical experience with them during the 1.1.0
release that just occurred.

------------------------------------------------------------------------
r97 | airwin | 2008-02-08 17:15:50 -0800 (Fri, 08 Feb 2008) | 2 lines
Changed paths:
   M /trunk/ChangeLog

Last update of this file (I hope) before the 1.1.0 release.

------------------------------------------------------------------------
r96 | airwin | 2008-02-08 17:10:48 -0800 (Fri, 08 Feb 2008) | 2 lines
Changed paths:
   A /trunk/README.Release_Manager_Cookbook

Initial commit of notes on the process of releasing libLASi at SourceForge.

------------------------------------------------------------------------
r95 | airwin | 2008-02-08 17:01:20 -0800 (Fri, 08 Feb 2008) | 2 lines
Changed paths:
   M /trunk/CMakeLists.txt

Make source release tarball name of form libLASi-${VERSION}.tar.gz

------------------------------------------------------------------------
r94 | airwin | 2008-02-08 16:20:13 -0800 (Fri, 08 Feb 2008) | 5 lines
Changed paths:
   M /trunk/ChangeLog

Create complete ChangeLog from when project was first created at SourceForge
using lasi-1.0.5 source files.  Used "svn log --verbose" to generate this
ChangeLog.


------------------------------------------------------------------------
r93 | airwin | 2008-02-08 16:01:12 -0800 (Fri, 08 Feb 2008) | 2 lines
Changed paths:
   M /trunk/examples/README

Tweak wording.

------------------------------------------------------------------------
r92 | airwin | 2008-02-08 15:37:20 -0800 (Fri, 08 Feb 2008) | 2 lines
Changed paths:
   M /trunk/README.release

Tweak wording.

------------------------------------------------------------------------
r91 | airwin | 2008-02-08 15:36:50 -0800 (Fri, 08 Feb 2008) | 2 lines
Changed paths:
   A /trunk/INSTALL

Initial commit of INSTALL file.

------------------------------------------------------------------------
r90 | airwin | 2008-02-07 17:31:59 -0800 (Thu, 07 Feb 2008) | 2 lines
Changed paths:
   A /trunk/README.release

Initial commit of the release notes for the forthcoming release.

------------------------------------------------------------------------
r89 | airwin | 2008-02-07 17:13:33 -0800 (Thu, 07 Feb 2008) | 2 lines
Changed paths:
   M /trunk/examples/README

Tweak wording.

------------------------------------------------------------------------
r88 | airwin | 2008-02-07 15:46:10 -0800 (Thu, 07 Feb 2008) | 2 lines
Changed paths:
   M /trunk/AUTHORS
   M /trunk/README

Add Werner Smekal.

------------------------------------------------------------------------
r87 | airwin | 2008-02-07 15:23:11 -0800 (Thu, 07 Feb 2008) | 2 lines
Changed paths:
   M /trunk/README

Added Ritu Khanna as one of the copyright holders.

------------------------------------------------------------------------
r86 | airwin | 2008-02-07 15:22:35 -0800 (Thu, 07 Feb 2008) | 2 lines
Changed paths:
   M /trunk/AUTHORS

Tweaked some wording and added Andrew Ross.

------------------------------------------------------------------------
r85 | airwin | 2008-02-07 15:14:06 -0800 (Thu, 07 Feb 2008) | 4 lines
Changed paths:
   M /trunk/README

Update list of copyright holders.

Tweak wording describing examples.

------------------------------------------------------------------------
r84 | andrewross | 2008-02-07 11:53:14 -0800 (Thu, 07 Feb 2008) | 3 lines
Changed paths:
   M /trunk/src/psDoc.cpp

Comment out debugging print messages in preparation for release.


------------------------------------------------------------------------
r83 | andrewross | 2008-02-07 03:04:39 -0800 (Thu, 07 Feb 2008) | 6 lines
Changed paths:
   M /trunk/src/drawGlyph.cpp

Hack to prevent segfaults with bitmap fonts. This just ignores any 
glyphs which are bitmap. The better solution would be to ensure pango 
doesn't select bitmap fonts. I've not found a way of achieving this 
though.


------------------------------------------------------------------------
r82 | andrewross | 2008-01-28 09:20:01 -0800 (Mon, 28 Jan 2008) | 3 lines
Changed paths:
   M /trunk/examples/MissingGlyphExample.cpp

Ensure fixed string is marked const char * to remove gcc warnings.


------------------------------------------------------------------------
r81 | airwin | 2008-01-27 18:06:56 -0800 (Sun, 27 Jan 2008) | 2 lines
Changed paths:
   M /trunk/examples/CMakeLists.txt
   M /trunk/examples/Makefile.examples.in

Fix rpath and PKG_CONFIG_PATH issues.

------------------------------------------------------------------------
r80 | airwin | 2008-01-27 18:05:57 -0800 (Sun, 27 Jan 2008) | 2 lines
Changed paths:
   M /trunk/src/CMakeLists.txt

INSTALL_RPATH for libLASi.

------------------------------------------------------------------------
r79 | airwin | 2008-01-27 18:04:13 -0800 (Sun, 27 Jan 2008) | 8 lines
Changed paths:
   M /trunk/cmake/modules/lasi.cmake

set RPATHCMD in examples/CMakeLists.txt instead of here.

Find PANGO_RPATH.

Option for USE_RPATH (defaults to ON, but system packagers will want to turn
it OFF).


------------------------------------------------------------------------
r78 | airwin | 2008-01-27 17:38:45 -0800 (Sun, 27 Jan 2008) | 2 lines
Changed paths:
   D /trunk/examples/Makefile.example.in
   A /trunk/examples/Makefile.examples.in (from /trunk/examples/Makefile.example.in:76)

Rename to a more appropriate name.

------------------------------------------------------------------------
r77 | airwin | 2008-01-27 13:16:06 -0800 (Sun, 27 Jan 2008) | 5 lines
Changed paths:
   M /trunk/cmake/modules/FindPkgConfig.cmake

Synchronize with PLplot version of this CMake module.
Use correct variables names in the documentation of macros.
_pkgconfig_unset now done with correct variable names.


------------------------------------------------------------------------
r76 | airwin | 2008-01-27 12:50:07 -0800 (Sun, 27 Jan 2008) | 2 lines
Changed paths:
   M /trunk

Set svn:ignore property to ignore doc directory

------------------------------------------------------------------------
r75 | edtrager | 2007-03-27 11:47:25 -0700 (Tue, 27 Mar 2007) | 3 lines
Changed paths:
   M /trunk/src/contextMgr.h

Replaced call to free() with call to g_object_unref()


------------------------------------------------------------------------
r74 | airwin | 2007-03-07 18:49:08 -0800 (Wed, 07 Mar 2007) | 6 lines
Changed paths:
   M /trunk/cmake/modules/instdirs.cmake

Do not mark install area variables as advanced.  This makes it muxh more
obvious to ccmake users when there are unintended inconsistencies between 
these variables caused by a stale cache or failing to use
-DCMAKE_INSTALL_PREFIX as a ccmake command-line option.


------------------------------------------------------------------------
r73 | edtrager | 2007-03-07 18:12:36 -0800 (Wed, 07 Mar 2007) | 4 lines
Changed paths:
   M /trunk/examples/MissingGlyphExample.cpp
   M /trunk/src/psDoc.cpp

(1) Uncommented std::cerr message for debugging purposes
(2) Expanded example0 with additional likely-to-be-missing values in the string.


------------------------------------------------------------------------
r72 | edtrager | 2007-03-05 13:58:32 -0800 (Mon, 05 Mar 2007) | 20 lines
Changed paths:
   M /trunk/src/psDoc.cpp

(1) If FT_Load_Glyph results in an error in
    psDoc::for_each_glyph_do(), then we substitute
    glyph_index zero (0) which should work fine for
    all none-broken fonts.

    I consider this as a temporary solution for
    right now as I am still investigating why Pango
    appears to be returning an erroneous glyph_index.
    This appears to be a change in Pango or FreeType2
    but I do not know yet what has changed.

    However I've decided to commit my change to SVN
    so that it can be tested on other platforms too.

(2) Changed FT_LOAD_DEFAULT to FT_LOAD_NO_BITMAP
    since LASi is exclusively interested in scaled
    glyphs.  No reason to waste CPU cycles loading
    embedded bitmaps.


------------------------------------------------------------------------
r71 | airwin | 2007-03-05 10:03:31 -0800 (Mon, 05 Mar 2007) | 4 lines
Changed paths:
   M /trunk/CMakeLists.txt

Be explicit about the C++ computer language used to build libLASi.  This
should slighly speed up the cmake execution since the tests for C language
support will no longer be done.

------------------------------------------------------------------------
r70 | airwin | 2007-02-14 22:27:32 -0800 (Wed, 14 Feb 2007) | 4 lines
Changed paths:
   M /trunk/src/glyphMgr.cpp

Fix up assert's for -DNDEBUG case.

N.B. this C++ coding change needs review since I am a C++ newbie.

------------------------------------------------------------------------
r69 | airwin | 2007-02-14 13:19:08 -0800 (Wed, 14 Feb 2007) | 3 lines
Changed paths:
   M /trunk/CMakeLists.txt
   M /trunk/cmake/modules/lasi.cmake
   A /trunk/cmake/modules/summary.cmake

Add summary of important configuration information at end of output from
cmake.

------------------------------------------------------------------------
r68 | airwin | 2007-02-13 11:13:23 -0800 (Tue, 13 Feb 2007) | 3 lines
Changed paths:
   M /trunk/examples/MissingGlyphExample.cpp

Use same output handling as other examples.  If second argument exists write
to that file, otherwise write to stdout.

------------------------------------------------------------------------
r67 | airwin | 2007-02-13 10:52:55 -0800 (Tue, 13 Feb 2007) | 2 lines
Changed paths:
   D /trunk/examples/example1

Remove the example1 directory which is now empty of content.

------------------------------------------------------------------------
r66 | airwin | 2007-02-13 10:52:09 -0800 (Tue, 13 Feb 2007) | 4 lines
Changed paths:
   M /trunk/examples/README
   D /trunk/examples/example1/README

Reorganize examples/README to deal with the three separate examples.

Remove examples/example1/README which is now redundant.

------------------------------------------------------------------------
r65 | airwin | 2007-02-13 10:50:58 -0800 (Tue, 13 Feb 2007) | 2 lines
Changed paths:
   M /trunk/examples/CMakeLists.txt

Correct typo; SimpleLASi.cpp ==> SimpleLASiExample.cpp

------------------------------------------------------------------------
r64 | airwin | 2007-02-13 10:02:23 -0800 (Tue, 13 Feb 2007) | 4 lines
Changed paths:
   M /trunk/examples/Makefile.example.in
   D /trunk/examples/example1/Makefile.example.in

Add example0 and example1 rules to examples/Makefile.example.in.

Remove examples/example1/Makefile.example.in since it is now redundant.

------------------------------------------------------------------------
r63 | airwin | 2007-02-13 09:55:55 -0800 (Tue, 13 Feb 2007) | 4 lines
Changed paths:
   D /trunk/examples/example1/CMakeLists.txt

Remove examples/example1/CMakeLists.txt because equivalent actions are now
taken in examples/CMakeLists.txt.


------------------------------------------------------------------------
r62 | airwin | 2007-02-13 09:53:18 -0800 (Tue, 13 Feb 2007) | 8 lines
Changed paths:
   M /trunk/examples/CMakeLists.txt
   A /trunk/examples/Example_1_Result.png (from /trunk/examples/example1/Example_1_Result.png:60)
   A /trunk/examples/MissingGlyphExample.cpp
   A /trunk/examples/SimpleLASiExample.cpp (from /trunk/examples/example1/SimpleLASiExample.cpp:60)
   D /trunk/examples/example1/Example_1_Result.png
   D /trunk/examples/example1/SimpleLASiExample.cpp

Add examples/MissingGlyphExample.cpp.

Move examples/example1/SimpleLASiExample.cpp examples/SimpleLASiExample.cpp.

Move examples/example1/Example_1_Result.png examples/Example_1_Result.png.

Update examples/CMakeLists.txt accordingly.

------------------------------------------------------------------------
r61 | airwin | 2007-02-13 09:35:12 -0800 (Tue, 13 Feb 2007) | 3 lines
Changed paths:
   A /trunk/examples/CMakeLists.txt (from /trunk/examples/example2/CMakeLists.txt:59)
   A /trunk/examples/ComplexTextLayoutExample.cpp (from /trunk/examples/example2/ComplexTextLayoutExample.cpp:59)
   A /trunk/examples/Example_2_Result.png (from /trunk/examples/example2/Example_2_Result.png:59)
   A /trunk/examples/Makefile.example.in (from /trunk/examples/example2/Makefile.example.in:59)
   D /trunk/examples/example2

Move all files in examples/example2 to examples and remove examples/example2.


------------------------------------------------------------------------
r60 | airwin | 2007-02-13 09:28:49 -0800 (Tue, 13 Feb 2007) | 7 lines
Changed paths:
   D /trunk/examples/CMakeLists.txt
   A /trunk/examples/README (from /trunk/examples/example2/README:59)
   D /trunk/examples/example2/README

Start of reorganization of examples into one directory.

Remove examples/CMakeLists.txt to make way for subsequent move of
examples/example2/CMakeLists.txt to examples/CMakeLists.txt

Move  examples/example2/README to examples/README

------------------------------------------------------------------------
r59 | edtrager | 2007-02-12 18:55:07 -0800 (Mon, 12 Feb 2007) | 5 lines
Changed paths:
   M /trunk/src/psDoc.cpp

Corrected the copyright notice in psDoc.cpp to conform
with the license notice in the LICENSE file.  This is
the copyright notice written out in Postscript files.


------------------------------------------------------------------------
r58 | andrewross | 2007-02-10 01:23:49 -0800 (Sat, 10 Feb 2007) | 3 lines
Changed paths:
   M /trunk/examples/example1/SimpleLASiExample.cpp

Add postscript bounding box to example 1 output.


------------------------------------------------------------------------
r57 | airwin | 2007-02-05 18:35:57 -0800 (Mon, 05 Feb 2007) | 2 lines
Changed paths:
   D /trunk/doc

Remove empty doc directory which is no longer needed under svn control.

------------------------------------------------------------------------
r56 | airwin | 2007-02-05 18:34:23 -0800 (Mon, 05 Feb 2007) | 3 lines
Changed paths:
   M /trunk/CMakeLists.txt

Create the doc directory at cmake time.  This seems to work regardless of
whether doc does not exist or exists as an empty or non-empty directory.

------------------------------------------------------------------------
r55 | smekal | 2007-02-05 00:40:57 -0800 (Mon, 05 Feb 2007) | 1 line
Changed paths:
   M /trunk/cmake/modules/instdirs.cmake
   M /trunk/src/CMakeLists.txt

Added the definition of bindir. For Windows the dll is now installed in the bin directory and not in the lib directory. This changes should have no impact for platforms.
------------------------------------------------------------------------
r54 | airwin | 2007-02-03 15:27:48 -0800 (Sat, 03 Feb 2007) | 3 lines
Changed paths:
   M /trunk/README

Update to point to the website, SourceForge project page, and website install
directions.  Also, note all the recent contributors.

------------------------------------------------------------------------
r53 | airwin | 2007-02-03 15:13:29 -0800 (Sat, 03 Feb 2007) | 7 lines
Changed paths:
   M /trunk/examples/example1/Makefile.example.in
   M /trunk/examples/example2/Makefile.example.in

Simplify Makefiles so they do not dump the README to the screen or launch gv
(which may not be available on some systems).  As a result of this
simplification, what they do now (as the result of the "make" command) is
build the examples and generate the postscript results, but that is probably
what most users will expect.


------------------------------------------------------------------------
r52 | airwin | 2007-02-03 15:09:40 -0800 (Sat, 03 Feb 2007) | 2 lines
Changed paths:
   M /trunk/examples/example1/README
   M /trunk/examples/example2/README

Re-wrap paragraphs + some rewriting to correspond to new Makefiles.

------------------------------------------------------------------------
r51 | airwin | 2007-02-03 15:08:48 -0800 (Sat, 03 Feb 2007) | 3 lines
Changed paths:
   M /trunk/cmake/modules/lasi.cmake

Only set RPATHCMD (used for the installed examples Makefiles) for the
non-Darwin case since Darwin does not recognize the -rpath option.

------------------------------------------------------------------------
r50 | airwin | 2007-02-03 13:54:30 -0800 (Sat, 03 Feb 2007) | 5 lines
Changed paths:
   M /trunk/cmake/modules/lasi.cmake
   M /trunk/lasi.pc.in

Work around deficiencies in the pkg-config file pangoft2.pc as distributed
by the pango development package by explictly using information from the
pkg-config freetype2.pc file to supply missing freetype2 linking information.


------------------------------------------------------------------------
r49 | airwin | 2007-02-02 23:46:20 -0800 (Fri, 02 Feb 2007) | 4 lines
Changed paths:
   M /trunk

Remove svn:ignore property for the doc subdirectory since that subdirectory
is now under svn control.


------------------------------------------------------------------------
r48 | airwin | 2007-02-02 23:43:45 -0800 (Fri, 02 Feb 2007) | 5 lines
Changed paths:
   M /trunk/CMakeLists.txt

Since the doc subdirectory now always exists (it is under svn control for
that case and also exists in the release tarball) remove the -p option for
mkdir (which is not supported by some unices/shell in any case).


------------------------------------------------------------------------
r47 | airwin | 2007-02-02 23:34:13 -0800 (Fri, 02 Feb 2007) | 2 lines
Changed paths:
   M /trunk/doc

Ignore user and developer subdirectories of doc which are generated.

------------------------------------------------------------------------
r46 | edtrager2 | 2007-02-02 18:29:45 -0800 (Fri, 02 Feb 2007) | 6 lines
Changed paths:
   A /trunk/doc

The documentation directory "doc" must exist
even if it is empty.  Otherwise one gets a
CMake error.  This has happened to me on two
different platforms today.


------------------------------------------------------------------------
r45 | airwin | 2007-02-02 13:06:38 -0800 (Fri, 02 Feb 2007) | 3 lines
Changed paths:
   M /trunk/cmake/modules/lasi.cmake
   M /trunk/cmake/modules/pkg-config.cmake
   M /trunk/examples/example1/Makefile.example.in
   M /trunk/examples/example2/Makefile.example.in

Implement rpath and PKG_CONFIG_PATH capability for Makefiles used for the
installed examples tree.

------------------------------------------------------------------------
r44 | airwin | 2007-02-02 12:29:00 -0800 (Fri, 02 Feb 2007) | 2 lines
Changed paths:
   M /trunk/cmake/modules/lasi.cmake

# Set executable suffix for the Makefiles for the installation tree examples.

------------------------------------------------------------------------
r43 | airwin | 2007-02-02 12:15:42 -0800 (Fri, 02 Feb 2007) | 3 lines
Changed paths:
   M /trunk/examples/example1/Makefile.example.in
   M /trunk/examples/example2/Makefile.example.in

Configure the compiler and the executable suffix (for windows systems like
Cygwin).  ToDo: rpath and PKG_CONFIG_PATH.

------------------------------------------------------------------------
r42 | airwin | 2007-02-02 11:58:39 -0800 (Fri, 02 Feb 2007) | 2 lines
Changed paths:
   M /trunk/examples/example1/Makefile.example.in
   M /trunk/examples/example2/Makefile.example.in

Clean up of Makefiles.

------------------------------------------------------------------------
r41 | airwin | 2007-02-02 11:24:59 -0800 (Fri, 02 Feb 2007) | 4 lines
Changed paths:
   M /trunk/examples/example2/CMakeLists.txt
   D /trunk/examples/example2/Makefile.example
   A /trunk/examples/example2/Makefile.example.in (from /trunk/examples/example2/Makefile.example:39)

Configure Makefile.example.  This clears the way so that the compiler, rpath
and PKG_CONFIG_PATH can be configured.


------------------------------------------------------------------------
r40 | airwin | 2007-02-02 11:19:42 -0800 (Fri, 02 Feb 2007) | 4 lines
Changed paths:
   M /trunk/examples/example1/CMakeLists.txt
   D /trunk/examples/example1/Makefile.example
   A /trunk/examples/example1/Makefile.example.in (from /trunk/examples/example1/Makefile.example:39)

Configure Makefile.example.  This clears the way so that the compiler, rpath
and PKG_CONFIG_PATH can be configured.


------------------------------------------------------------------------
r39 | andrewross | 2007-02-02 10:24:35 -0800 (Fri, 02 Feb 2007) | 9 lines
Changed paths:
   M /trunk/cmake/modules/instdirs.cmake
   M /trunk/examples/example1/CMakeLists.txt
   D /trunk/examples/example1/Makefile
   A /trunk/examples/example1/Makefile.example (from /trunk/examples/example1/Makefile:38)
   M /trunk/examples/example2/CMakeLists.txt
   D /trunk/examples/example2/Makefile
   A /trunk/examples/example2/Makefile.example (from /trunk/examples/example2/Makefile:38)

Install examples in share/${PACKAGE}${VERSION}/examples/

These can be build and run as if they were in the build tree. 

Eventually it might be better if this used information from CMake to 
determine compiler etc. This could also allow the use of rpath to make 
sure the correct version of the library is used.


------------------------------------------------------------------------
r38 | andrewross | 2007-02-02 08:22:30 -0800 (Fri, 02 Feb 2007) | 8 lines
Changed paths:
   M /trunk/CMakeLists.txt
   A /trunk/examples/CMakeLists.txt
   A /trunk/examples/example1/CMakeLists.txt
   M /trunk/examples/example1/SimpleLASiExample.cpp
   A /trunk/examples/example2/CMakeLists.txt
   M /trunk/examples/example2/ComplexTextLayoutExample.cpp

Add automatic compilation of the two existing examples using the new 
cmake build system.

Add ctest support for these examples. Running ctest in the build 
directory will run the two examples. Postscript output will appear in 
the examples/example[12]/ directories.


------------------------------------------------------------------------
r37 | smekal | 2007-02-01 13:22:16 -0800 (Thu, 01 Feb 2007) | 1 line
Changed paths:
   M /trunk/cmake/modules/lasi.cmake
   M /trunk/lasi.pc.in

For the win32+Shared libs case DLLFLAG is set to "-DLASi_DLL" which will be used to configure lasi.pc. pkg-config returns the correct flags for this case than.
------------------------------------------------------------------------
r36 | airwin | 2007-02-01 09:10:23 -0800 (Thu, 01 Feb 2007) | 4 lines
Changed paths:
   M /trunk/CMakeLists.txt

Greatly simplify the install logic for the generated documentation using the
powerful "install(DIRECTORY..." signature.


------------------------------------------------------------------------
r35 | smekal | 2007-02-01 00:00:19 -0800 (Thu, 01 Feb 2007) | 1 line
Changed paths:
   M /trunk/include/LASi.h

Added macros which take care about import/export of functions and classes to and from a Windows-dll. This is needed for Visual C++ and other Windows compilers (but not for MinGW or Cygwin)
------------------------------------------------------------------------
r34 | airwin | 2007-01-31 17:55:12 -0800 (Wed, 31 Jan 2007) | 2 lines
Changed paths:
   M /trunk/ChangeLog

native line endings on ChangeLog

------------------------------------------------------------------------
r33 | airwin | 2007-01-31 17:20:19 -0800 (Wed, 31 Jan 2007) | 3 lines
Changed paths:
   M /trunk

Ignore doc since that is a directory that is automatically generated by the
custom rules to generate the documentation.

------------------------------------------------------------------------
r32 | airwin | 2007-01-31 17:11:16 -0800 (Wed, 31 Jan 2007) | 2 lines
Changed paths:
   M /trunk/CMakeLists.txt

Drop unneeded touch commands for custom rules to build documentation.

------------------------------------------------------------------------
r31 | airwin | 2007-01-31 16:51:39 -0800 (Wed, 31 Jan 2007) | 2 lines
Changed paths:
   A /trunk/ChangeLog

Initial commit of ChangeLog file that is generated by svn2cl.

------------------------------------------------------------------------
r30 | airwin | 2007-01-31 16:48:04 -0800 (Wed, 31 Jan 2007) | 3 lines
Changed paths:
   D /trunk/ChangeLog
   A /trunk/ChangeLog.1.0.5p1 (from /trunk/ChangeLog:26)

Move old hand-crafted ChangeLog ==> ChangeLog.1.0.5p1 to make room for
ChangeLog file that is automatically generated by svn2cl.

------------------------------------------------------------------------
r29 | airwin | 2007-01-31 16:28:35 -0800 (Wed, 31 Jan 2007) | 2 lines
Changed paths:
   M /trunk/CMakeLists.txt
   M /trunk/cmake/modules/instdirs.cmake

Install the generated documentation.

------------------------------------------------------------------------
r28 | airwin | 2007-01-31 14:09:37 -0800 (Wed, 31 Jan 2007) | 6 lines
Changed paths:
   M /trunk/CMakeLists.txt
   M /trunk/Doxyfile.developer
   M /trunk/Doxyfile.user

Make the user and developer documentation output areas distinct (doc/user and
doc/developer).  This eliminates the interaction between the two custom
rules and allows there to be one overall "documentation" target that is
automatically invoked if make all (or make) is invoked.


------------------------------------------------------------------------
r27 | airwin | 2007-01-30 22:53:44 -0800 (Tue, 30 Jan 2007) | 3 lines
Changed paths:
   M /trunk/CMakeLists.txt

Create custom targets user-docs and developer-docs for building either
user documentation or developer documentation using doxygen.

------------------------------------------------------------------------
r26 | airwin | 2007-01-30 20:41:34 -0800 (Tue, 30 Jan 2007) | 3 lines
Changed paths:
   M /trunk/AUTHORS
   M /trunk/CMakeLists.txt
   M /trunk/COPYING
   M /trunk/ChangeLog
   M /trunk/Doxyfile.developer
   M /trunk/Doxyfile.user
   M /trunk/NEWS
   M /trunk/NOTES
   M /trunk/README
   M /trunk/cmake/modules/FindPkgConfig.cmake
   M /trunk/cmake/modules/instdirs.cmake
   M /trunk/cmake/modules/lasi.cmake
   M /trunk/cmake/modules/lasi_version.cmake
   M /trunk/cmake/modules/pkg-config.cmake
   M /trunk/config.h.cmake
   M /trunk/examples/example1/Makefile
   M /trunk/examples/example1/README
   M /trunk/examples/example1/SimpleLASiExample.cpp
   M /trunk/examples/example2/ComplexTextLayoutExample.cpp
   M /trunk/examples/example2/Makefile
   M /trunk/examples/example2/README
   M /trunk/include/LASi.h
   M /trunk/lasi.pc.in
   M /trunk/src/CMakeLists.txt
   M /trunk/src/contextMgr.h
   M /trunk/src/drawGlyph.cpp
   M /trunk/src/drawGlyph.h
   M /trunk/src/glyphMgr.cpp
   M /trunk/src/glyphMgr.h
   M /trunk/src/manager.h
   M /trunk/src/psDoc.cpp
   M /trunk/src/stringDimensions.h
   M /trunk/src/util.cpp
   M /trunk/src/util.h

Mass setting of property svn:eol-style to 'native' for all files under svn
control except the *.png files.

------------------------------------------------------------------------
r25 | airwin | 2007-01-30 20:39:11 -0800 (Tue, 30 Jan 2007) | 2 lines
Changed paths:
   M /trunk/CMakeLists.txt
   M /trunk/src/psDoc.cpp

Fix line-ending problems.

------------------------------------------------------------------------
r24 | airwin | 2007-01-30 20:36:11 -0800 (Tue, 30 Jan 2007) | 6 lines
Changed paths:
   A /trunk/Doxyfile.developer (from /trunk/Doxyfile.developer.cmake:23)
   D /trunk/Doxyfile.developer.cmake
   A /trunk/Doxyfile.user (from /trunk/Doxyfile.user.cmake:23)
   D /trunk/Doxyfile.user.cmake

It turns out don't need to cmake-configure doxygen configuration files 
after all.  So revert ".cmake" suffix on name, e.g., move
Doxyfile.developer.cmake ==> Doxyfile.developer 
Doxyfile.user.cmake ==> Doxyfile.user


------------------------------------------------------------------------
r23 | airwin | 2007-01-30 18:00:34 -0800 (Tue, 30 Jan 2007) | 2 lines
Changed paths:
   D /trunk/Doxyfile.developer
   A /trunk/Doxyfile.developer.cmake (from /trunk/Doxyfile.developer:22)
   D /trunk/Doxyfile.user
   A /trunk/Doxyfile.user.cmake (from /trunk/Doxyfile.user:22)

Move doxygen configuration files to names appropriate for configured versions.

------------------------------------------------------------------------
r22 | airwin | 2007-01-30 17:53:34 -0800 (Tue, 30 Jan 2007) | 3 lines
Changed paths:
   M /trunk/Doxyfile.developer
   M /trunk/Doxyfile.user

Update doxygen configuration files from 1.2.x to 1.4.x version of doxygen
using "doxygen -u filename" command.

------------------------------------------------------------------------
r21 | airwin | 2007-01-30 16:08:02 -0800 (Tue, 30 Jan 2007) | 10 lines
Changed paths:
   A /trunk/cmake/modules/FindPkgConfig.cmake
   D /trunk/cmake/modules/UseOurPkgConfig.cmake
   M /trunk/cmake/modules/lasi.cmake
   M /trunk/cmake/modules/pkg-config.cmake

Modify our configuration to take advantage of the extremely
useful pkg_check_modules macro which appears in the new (in CMake cvs)
FindPkgConfig.cmake module.

Note, FindPkgConfig.cmake should be removed from the libLASi tree when it
becomes part of a normal cmake release.  Also note our special version of
the legacy (in CMake cvs) UsePkgConfig.cmake module (updated to provide
version information) is no longer required.


------------------------------------------------------------------------
r20 | airwin | 2007-01-30 15:59:50 -0800 (Tue, 30 Jan 2007) | 3 lines
Changed paths:
   M /trunk/lasi.pc.in

Add Requires field so the configured pkg-config file does not have to
be supplemented by other pkg-config modules.

------------------------------------------------------------------------
r19 | airwin | 2007-01-30 12:52:20 -0800 (Tue, 30 Jan 2007) | 2 lines
Changed paths:
   A /trunk/cmake/modules/instdirs.cmake
   M /trunk/cmake/modules/lasi.cmake

Implement autotools-like support for a variety of install directories.

------------------------------------------------------------------------
r18 | airwin | 2007-01-30 11:32:23 -0800 (Tue, 30 Jan 2007) | 2 lines
Changed paths:
   M /trunk/cmake/modules/lasi.cmake

Quote last argument to transform_version to make its use more robust.

------------------------------------------------------------------------
r17 | smekal | 2007-01-30 11:28:30 -0800 (Tue, 30 Jan 2007) | 1 line
Changed paths:
   M /trunk/src/psDoc.cpp

This change in the order of initialization should fix a warning reported by Orion Poplawski, but should have no impact on the code itself.
------------------------------------------------------------------------
r16 | smekal | 2007-01-30 11:26:07 -0800 (Tue, 30 Jan 2007) | 1 line
Changed paths:
   M /trunk/CMakeLists.txt

Source packages for Windows are now in zip format as the binary package.
------------------------------------------------------------------------
r15 | airwin | 2007-01-29 23:08:34 -0800 (Mon, 29 Jan 2007) | 3 lines
Changed paths:
   M /trunk/cmake/modules/lasi.cmake

Allow major, minor, and patch numbers up to 999 in the version triplet
processed by the TRANSFORM_VERSION macro. 

------------------------------------------------------------------------
r14 | airwin | 2007-01-29 22:45:50 -0800 (Mon, 29 Jan 2007) | 3 lines
Changed paths:
   M /trunk/cmake/modules/lasi.cmake

Make TRANSFORM_VERSION macro more robust and use it to do version checks for
FreeType2 library version number.

------------------------------------------------------------------------
r13 | smekal | 2007-01-29 08:14:09 -0800 (Mon, 29 Jan 2007) | 1 line
Changed paths:
   M /trunk/CMakeLists.txt

Removed some WIN32 specific code, which should be not necessary for libLASi.
------------------------------------------------------------------------
r12 | airwin | 2007-01-28 19:34:52 -0800 (Sun, 28 Jan 2007) | 4 lines
Changed paths:
   A /trunk/examples
   A /trunk/examples/example1
   A /trunk/examples/example1/Example_1_Result.png
   A /trunk/examples/example1/Makefile
   A /trunk/examples/example1/README
   A /trunk/examples/example1/SimpleLASiExample.cpp
   A /trunk/examples/example2
   A /trunk/examples/example2/ComplexTextLayoutExample.cpp
   A /trunk/examples/example2/Example_2_Result.png
   A /trunk/examples/example2/Makefile
   A /trunk/examples/example2/README

Initial commit of all files in the examples tree from lasi-1.0.5p1.
(lasi-1.0.6 has the same files).


------------------------------------------------------------------------
r11 | edtrager2 | 2007-01-28 17:34:57 -0800 (Sun, 28 Jan 2007) | 7 lines
Changed paths:
   A /trunk/cmake/modules/UseOurPkgConfig.cmake

Ooops, Forgot to add my localized version of
UsePkgConfig -- Here it is:
 UseOurPkgConfig.cmake

- Ed


------------------------------------------------------------------------
r10 | edtrager2 | 2007-01-28 17:23:46 -0800 (Sun, 28 Jan 2007) | 17 lines
Changed paths:
   M /trunk/cmake/modules/lasi.cmake
   M /trunk/cmake/modules/pkg-config.cmake

(1) Modified a local version of CMAKE's UsePkgConfig
to execute & store the return value of 
"pkg-config --modversion" so that we can examine
a package's version number.

(2) Modified lasi.cmake to inspect FreeType2's 
major and minor version number.  A MAJOR number
of 9 is required.  A MINOR number of 10+ means
FT2 2.2.1+.

Works for me on my FT2 2.2.1 system.
I'll have to check FT2.1.x on some other machine
after I do the commit.

- Ed Trager


------------------------------------------------------------------------
r9 | airwin | 2007-01-27 18:23:33 -0800 (Sat, 27 Jan 2007) | 3 lines
Changed paths:
   M /trunk/src/drawGlyph.cpp

Fix typo.
HAVE_FT2_2plus ==> HAVE_FT2_2PLUS 

------------------------------------------------------------------------
r8 | airwin | 2007-01-27 17:45:07 -0800 (Sat, 27 Jan 2007) | 6 lines
Changed paths:
   M /trunk/CMakeLists.txt

Ignore .svn directories in the source tree when making a source release
tarball with "make source_package".  Drop the boiler-plate ignoring of
.cvsignore and CVS files for source releases.  This CVS-related logic is no
longer necessary since we are now svn based.


------------------------------------------------------------------------
r7 | airwin | 2007-01-27 17:28:21 -0800 (Sat, 27 Jan 2007) | 9 lines
Changed paths:
   M /trunk/CMakeLists.txt
   M /trunk/cmake/modules/lasi.cmake
   A /trunk/config.h.cmake
   M /trunk/src/drawGlyph.cpp

Definitions of some functions in FreeType that prior to 2.2 took non-const
pointers now (in FreeType 2.2+) take const pointers.  This API
incompatibility is now taken care of by defining the HAVE_FT2_2PLUS C++
language macro. Currently this is controlled from CMake by the CMake option
of the same name (which defaults to OFF), but this is just a temporary
measure, and this needs to be replaced by a CMake test which detects whether
FreeType 2.2+ is installed and set HAVE_FT2_2PLUS ON or OFF accordingly.


------------------------------------------------------------------------
r6 | airwin | 2007-01-27 17:03:30 -0800 (Sat, 27 Jan 2007) | 2 lines
Changed paths:
   M /trunk/ChangeLog

Tweak to bring ChangeLog up to date as of 1.0.5p1

------------------------------------------------------------------------
r5 | airwin | 2007-01-27 15:39:58 -0800 (Sat, 27 Jan 2007) | 2 lines
Changed paths:
   M /trunk/cmake/modules/lasi.cmake

Add some infrastructure support to define DOXYGEN_EXECUTABLE

------------------------------------------------------------------------
r4 | airwin | 2007-01-27 15:26:32 -0800 (Sat, 27 Jan 2007) | 9 lines
Changed paths:
   M /trunk/cmake/modules/lasi_version.cmake

Usually version information should just be updated right before a release,
but in this case where we are just establishing a new build system that
deals with the libfreetype API change, I thought it important to distinguish
these build results from everything that was done previously.  Accordingly,
the package number has been tentatively updated from 1.0.5p1 to 1.1.0 and
the library patch version number has been incremented.  These numbers should
be reviewed and finalized just before release.


------------------------------------------------------------------------
r3 | airwin | 2007-01-27 10:39:44 -0800 (Sat, 27 Jan 2007) | 2 lines
Changed paths:
   M /trunk/CMakeLists.txt

Install configured lasi.pc from correct (binary) directory.

------------------------------------------------------------------------
r2 | airwin | 2007-01-27 10:32:52 -0800 (Sat, 27 Jan 2007) | 2 lines
Changed paths:
   A /trunk/CMakeLists.txt
   A /trunk/cmake
   A /trunk/cmake/modules
   A /trunk/cmake/modules/lasi.cmake
   A /trunk/cmake/modules/lasi_version.cmake
   A /trunk/cmake/modules/pkg-config.cmake
   A /trunk/src/CMakeLists.txt

Initial commit of CMake build system.

------------------------------------------------------------------------
r1 | airwin | 2007-01-27 10:10:00 -0800 (Sat, 27 Jan 2007) | 6 lines
Changed paths:
   A /branches
   A /tags
   A /trunk
   A /trunk/AUTHORS
   A /trunk/COPYING
   A /trunk/ChangeLog
   A /trunk/Doxyfile.developer
   A /trunk/Doxyfile.user
   A /trunk/NEWS
   A /trunk/NOTES
   A /trunk/README
   A /trunk/include
   A /trunk/include/LASi.h
   A /trunk/lasi.pc.in
   A /trunk/src
   A /trunk/src/contextMgr.h
   A /trunk/src/drawGlyph.cpp
   A /trunk/src/drawGlyph.h
   A /trunk/src/glyphMgr.cpp
   A /trunk/src/glyphMgr.h
   A /trunk/src/manager.h
   A /trunk/src/psDoc.cpp
   A /trunk/src/stringDimensions.h
   A /trunk/src/util.cpp
   A /trunk/src/util.h

Import of selected files from lasi-1.0.5p1.  The following directories were
excluded: cf, doc, and examples.  This left only the top-level, src, and
include directories to be included.  Furthermore, all files in the included
directories that were related to autotools were excluded from the import.


------------------------------------------------------------------------
